function [KB,Sp,atom_probs] = BR_demo_atom_probs
% BR_demo_atom_probs - demonstrate atom probability computation
% On input:
%     N/A
% On output:
%     KB (KB data structure): modus ponens
%     Sp (2x1 vector): sentence probabilities computed from atom probs
%     atom_probs (2x1 vector): calculated atom probs
% Call:
%     [KB,Sp,ap] = BR_demo_atom_probs;
% Author:
%     T. Henderson
%     UU
%     Summer 2017
%

KB(1).clauses = [1];
KB(1).prob = 1/13;
KB(2).clauses = [-1,2];
KB(2).prob = 0.982;

[atom_probs,a_set,Sp,OK] = BR_solve_atom_probs(KB,20000,0.00001,0.001);
tch = 0;

return

KB(1).clauses = [1];
KB(1).prob = 0.7;
KB(2).clauses = [-1,2];
KB(2).prob = 0.7;

[atom_probs,a_set,Sp,OK] = BR_solve_atom_probs(KB,20000,0.00001,0.001);
tch = 0;
